# we don't want -z defs linker flag
#%undefine _strict_symbol_defs_build

%global ini_name   40-imap.ini
%global with_zts   0%{?__ztsphp:1}

Summary:        A module for PHP applications that use IMAP
Name:           php-imap
Version:        8.1.5
Release:        1%{?dist}
License:        PHP and Zend and BSD and MIT and ASL 1.0 and NCSA
URL:            http://www.php.net/

Source0:        php-%{version}%{?prever}.tar.xz

BuildRequires:  php-pear
BuildRequires:  php-devel
BuildRequires:  pkgconfig(krb5)
BuildRequires:  pkgconfig(krb5-gssapi)
BuildRequires:  openssl-devel >= 1.0.2
BuildRequires:  libc-client-devel


Requires:       php(zend-abi) = %{php_zend_api}
Requires:       php(api) = %{php_core_api}

Provides:       php-imap               = %{version}
Provides:       php-imap%{?_isa}       = %{version}


%description
The php-imap module will add IMAP (Internet Message Access Protocol)
support to PHP. IMAP is a protocol for retrieving and uploading e-mail
messages on mail servers. PHP is an HTML-embedded scripting language.

%prep
%setup -qc -n php-imap-%{version}
mv php-%{version}/ext/imap NTS

cat > %{ini_name} << 'EOF'
; Enable imap extension module
extension = imap.so

EOF

%if %{with_zts}
cp -r NTS ZTS
%endif


# Prevent %%doc confusion over LICENSE files
cp php-%{version}/Zend/LICENSE php-%{version}/ZEND_LICENSE
cp php-%{version}/TSRM/LICENSE php-%{version}/TSRM_LICENSE
cp php-%{version}/sapi/fpm/LICENSE php-%{version}/fpm_LICENSE


%build

: Standard NTS build
cd NTS
%{_bindir}/phpize
%configure --with-imap=shared --with-imap-ssl --with-kerberos --with-php-config=%{_bindir}/php-config --with-libdir=%{_lib}
make %{?_smp_mflags}

%if %{with_zts}
cd ../ZTS
: ZTS build
%{_bindir}/zts-phpize
%configure --with-imap=shared --with-imap-ssl --with-kerberos --with-php-config=%{_bindir}/zts-php-config --with-libdir=%{_lib}
make %{?_smp_mflags}
%endif


%install

export QA_RPATHS=0x0004
make install INSTALL_ROOT=%{buildroot} -C NTS

# Drop in the bit of configuration
install -D -m 644 %{ini_name} %{buildroot}%{php_inidir}/%{ini_name}

%if %{with_zts}
make install INSTALL_ROOT=%{buildroot} -C ZTS
install -D -m 644 %{ini_name} %{buildroot}%{php_ztsinidir}/%{ini_name}
%endif


%check
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
export SKIP_ONLINE_TESTS=1
export SKIP_IO_CAPTURE_TESTS=1
unset TZ LANG LC_ALL

: simple module load test for NTS extension
cd NTS
make test
%if %{with_zts}
: simple module load test for ZTS extension
cd ../ZTS
make test
%endif


%files
%doc php-%{version}/EXTENSIONS php-%{version}/NEWS php-%{version}/UPGRADING* php-%{version}/README.REDIST.BINS php-%{version}/*md php-%{version}/docs
%license php-%{version}/LICENSE php-%{version}/TSRM_LICENSE php-%{version}/ZEND_LICENSE

%config(noreplace) %{php_inidir}/%{ini_name}
%{php_extdir}/imap.so

%if %{with_zts}
%config(noreplace) %{php_ztsinidir}/%{ini_name}
%{php_ztsextdir}/imap.so
%endif


%changelog
* Thu Dec 09 2021 Zoran Pericic <zpericic@netst.org> - 8.0.13-1
- Initial release
